/* q_lfind - search queue for equal match to p, return its link-in 
 * Return NULL if no match
 */
#include "queue.h"
Q_NODE **q_lfind(frontp, rearp, p, cmpfn)
	Q_NODE **frontp, **rearp;
	Q_NODE *p;
	int (*cmpfn)();
	{
	Q_NODE **pp;

	for (pp = frontp; *pp != NULL; pp = &Q_NEXT(*pp))
		if ((*cmpfn)(*pp, p) == 0)
			return (pp);
	return (NULL);
	}
